Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.classgen.asm
[Java] Interface TypeChooser

    public interface TypeChooser

Interface for modules which are capable of resolving the type of an expression. Several implementations are available, depending on whether you are in a dynamic or static compilation mode.

Authors:
  Cedric Champeau

Method Summary
`ClassNode` | `resolveType(Expression expression, ClassNode classNode)` Resolve the type of an expression.

Method Detail

### resolveType

    public ClassNode resolveType(Expression expression, ClassNode classNode)

  Resolve the type of an expression. Depending on the implementations, the returned type may be the declared type or an inferred type.
  Parameters:
    `expression` - the expression for which the type must be returned.
    `classNode` - the classnode this expression belongs to
  Returns:
    the resolved type.

Groovy Documentation